<div class="row mt-3">
  <div class="col-9">  
    <table class="table table-bordered table-hover">
      <thead>
        <tr>
          <th scope="col">Ticker</th>
          <th scope="col">Name</th>
          <th scope="col">Price</th>
          <th scope="col">Actions</th>
        </tr>
      </thead>
      <tbody>
        <% @tracked_stocks.each do |stock| %>
          <tr>
            <td><%= stock.ticker %></td>
            <td><%= stock.name %></td>
            <td><%= stock.price %></td>
            <% if current_user == @user %>
              <td><%= link_to 'Remove', user_stock_path(id: stock.id), method: :delete, class: "btn btn-outline-danger", data: {confirm: "Are you sure?"} %></td>
            <% else %>
              <% unless current_user.stock_already_in_portfolio?(stock) %>
                <td><%= link_to 'Add to portfolio', user_stocks_path(ticker: stock.ticker), method: :post, class: "btn btn-outline-success ml-3 my-sm-0" %></td>
              <% else %>
                <td>
                  <span class="badge badge-secondary">
                    You are already tracking this stock
                  </span>
                </td>
              <% end %>
            <% end %>
          </tr> 
        <% end %>
      </tbody>
    </table>
  </div>
</div>